/****************************************************************************
Date: 1/19/97 EXPERIMENTAL
File: debug.hpp
Description:	DEBUG message class
History
*****************************************************************************/
#ifndef DEBUG_HPP
#define DEBUG_HPP

#include <stddef.h>
#include <stdlib.h>
#include <conio.h>

#include "loctypes.h"

class DEBUG {
private:
	BOOL	eOn;
	VOID	Print(const CHAR* psz);
	VOID CRLF();
public:

	DEBUG();
	DEBUG(BOOL eStatus);
	DEBUG(const DEBUG& Debug);

	DEBUG& operator << (const CHAR* pszString);
	DEBUG& operator << (CHAR c);
	DEBUG& operator << (INT i);
	DEBUG& operator << (UINT u);
	DEBUG& operator << (LONG l);
	DEBUG& operator << (DOUBLE d);
	DEBUG& operator << (const VOID* p);

	VOID	Off();
	VOID 	On();
};

#endif
